test: _CONSOLE_CREATESCREENBUFFER_MSG struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _CONSOLE_CREATESCREENBUFFER_MSG Struct Reference

`#include <conmsg.h>`

List of all members.

## Public Attributes

IN HANDLE | ConsoleHandle
IN ULONG | DesiredAccess
IN BOOL | InheritHandle
IN ULONG | ShareMode
IN DWORD | Flags
IN OUT CONSOLE_GRAPHICS_BUFFER_INFO | GraphicsBufferInfo
OUT HANDLE | hMutex
OUT PVOID | lpBitmap
OUT HANDLE | Handle

## Member Data Documentation

IN HANDLE _CONSOLE_CREATESCREENBUFFER_MSG::ConsoleHandle

| Definition at line 203 of file conmsg.h. Referenced by CreateConsoleScreenBuffer(), and SrvCreateConsoleScreenBuffer().

IN ULONG _CONSOLE_CREATESCREENBUFFER_MSG::DesiredAccess

| Definition at line 204 of file conmsg.h. Referenced by CreateConsoleScreenBuffer(), and SrvCreateConsoleScreenBuffer().

IN DWORD _CONSOLE_CREATESCREENBUFFER_MSG::Flags

| Definition at line 207 of file conmsg.h. Referenced by CreateConsoleScreenBuffer(), and SrvCreateConsoleScreenBuffer().

IN OUT CONSOLE_GRAPHICS_BUFFER_INFO _CONSOLE_CREATESCREENBUFFER_MSG::GraphicsBufferInfo

| Definition at line 208 of file conmsg.h. Referenced by CreateConsoleScreenBuffer(), and SrvCreateConsoleScreenBuffer().

OUT HANDLE _CONSOLE_CREATESCREENBUFFER_MSG::Handle

| Definition at line 211 of file conmsg.h. Referenced by SrvCreateConsoleScreenBuffer().

OUT HANDLE _CONSOLE_CREATESCREENBUFFER_MSG::hMutex

| Definition at line 209 of file conmsg.h. Referenced by SrvCreateConsoleScreenBuffer().

IN BOOL _CONSOLE_CREATESCREENBUFFER_MSG::InheritHandle

| Definition at line 205 of file conmsg.h. Referenced by CreateConsoleScreenBuffer(), and SrvCreateConsoleScreenBuffer().

OUT PVOID _CONSOLE_CREATESCREENBUFFER_MSG::lpBitmap

| Definition at line 210 of file conmsg.h. Referenced by SrvCreateConsoleScreenBuffer().

IN ULONG _CONSOLE_CREATESCREENBUFFER_MSG::ShareMode

| Definition at line 206 of file conmsg.h. Referenced by CreateConsoleScreenBuffer(), and SrvCreateConsoleScreenBuffer().

The documentation for this struct was generated from the following file:

- conmsg.h